# $Revision: 1.23 $, $Date: 2010/06/06 08:45:08 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (runs xmms)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Xmms
%define		pnam	Perl
Summary:	Perl modules for interaction with XMMS
Summary(pl.UTF-8):	Moduły Perla pozwalające na interakcję z XMMS-em
Name:		perl-Xmms
Version:	0.12
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Xmms/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d1fbf6d09330f7855dd80f3ceee8e6f7
URL:		http://search.cpan.org/dist/Xmms-Perl/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides Perl modules for interaction with popular XMMS
player. Most important ones are: Xmms, which provides shell-like
interface to XMMS and Xmms::Remote, which is Perl interface to
xmms_remote API.

%description -l pl.UTF-8
Pakiet zawiera moduły Perla pozwalające na interakcję z popularnym
odtwarzaczem XMMS. Najważniejsze z tych modułów to: Xmms, który
umożliwia sterowanie XMMS-em przez interfejs przypominający powłokę
i Xmms::Remote, który jest interfejsem perlowym do udostępnianego
przez XMMS-a API xmms_remote.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Xmms.pm
%{perl_vendorarch}/Xmms
%dir %{perl_vendorarch}/auto/Xmms
%dir %{perl_vendorarch}/auto/Xmms/SongChange
%{perl_vendorarch}/auto/Xmms/SongChange/SongChange.so
%dir %{perl_vendorarch}/auto/Xmms/Remote
%{perl_vendorarch}/auto/Xmms/Remote/Remote.so
%dir %{perl_vendorarch}/auto/Xmms/Config
%{perl_vendorarch}/auto/Xmms/Config/Config.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Xmms.spec,v $
Revision 1.23  2010/06/06 08:45:08  arekm
- release 4

Revision 1.22  2008/03/25 21:05:32  qboosh
- generic URL

Revision 1.21  2008-02-10 12:24:33  arekm
- rel 3

Revision 1.20  2008-01-10 08:38:42  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.19  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.17  2004/11/03 22:30:57  paladine
- formatting

Revision 1.16  2004/10/30 11:11:54  paladine
- unification, capitalization, pl fixes

Revision 1.15  2004/10/24 17:05:53  paladine
- spelling fixes, uppercases, etc.

Revision 1.14  2004/06/05 18:10:50  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.13  2004/05/06 18:21:33  ankry
- fixed perl-devel BR

Revision 1.12  2004/05/04 23:35:15  ankry
- cosmetics

Revision 1.11  2004/04/15 19:58:03  ankry
- cosmetics, unification, license fixes

Revision 1.10  2004/03/13 23:09:18  eothane
- new bcond style; some cosmetics here and there; changelog cleanups

Revision 1.9  2003/08/18 08:09:28  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:01:14  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:25:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:45  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 22:11:26  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:43:23  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:39:19  ankry
- massive attack: change CPAN URLs

Revision 1.2  2003/02/03 08:41:52  qboosh
- cleanups, tests off by default

Revision 1.1  2003/01/31 22:11:03  migo
- initial revision
